@online{best_current_practice,
	author = {T. Lodderstedt,John Bradley,Andrey Labunets,Daniel Fett},
	title = {OAuth 2.0 Security Best Current Practice draft-ietf-oauth-security-topics-13},
	journal = {Web Authorization Protocol},
	year = {2019},
	howpublished="\url{https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13}"
}

@online{helsinki_owasp,
	author = {Teemu Kääriäinen, CSSLP / Nixu
	Corporation},
	title = {Threats and Vulnerabilities in Federation Protocols
	and Products},
	howpublished="\url{https://www.owasp.org/images/9/99/Helsinki_meeting_30_-_Threats_and_Vulnerabilities_
	in_Federation_Protocols_and_Products.pdf}",
	title = {OWASP Helsinki Chapter Meeting \#30 October 11, 2016},
	year = {2016}
}

@online{RFC4949,
	author = " R. Shirey",
	title = {Internet Security Glossary, Version 2},
	year={2007},
	howpublished= "\url{https://tools.ietf.org/html/rfc4949}"
}

@online{RFC6749,
	author = "D. Hardt, Ed",
	title = {The OAuth 2.0 Authorization Framework},
	year={2012},
	howpublished="\url{https://tools.ietf.org/html/rfc6749}"
}

@online {RFC7636,
	author = "N. Sakimura, Ed. - Nomura Research Institute, J. Bradley - Ping Identity, N. Agarwal - Google",
	title = "Proof Key for Code Exchange by OAuth Public Clients",
	year = "2015",
	howpublished="\url{https://tools.ietf.org/html/rfc7636}"

}
@online{oauth2,
	author="D. Hardt, Ed.",
	howpublished="\url{https://tools.ietf.org/html/rfc6749}",
	year={2012}
}

@online{openid,
	title = "OpenID foundation",
	howpublished ="\url{https://openid.net/}"
}

@online {RFC7515jwt,
	title = "JSON Web Token",
	author = "M. Jones - Microsoft, J. Bradley - Ping Identity, N. Sakimura NRI",
	year = "2015",
	howpublished = "\url{https://tools.ietf.org/html/rfc7519}"
}

@online {burp,
	title = "PortSwigger Web Security - Burp",
	howpublished = "\url{https://portswigger.net/burp}"
}

@online {RFC8252oauthfornatapps,
	title= "OAuth 2.0 for Native Apps",
	author = "W. Denniss - Google, J. Bradley - Ping Identity",
	year="2017",
	howpublished="\url{https://tools.ietf.org/html/rfc8252}"
}

@inproceedings{shi2019mossot,
	title={MoSSOT: An Automated Blackbox Tester for Single Sign-On Vulnerabilities in Mobile Applications},
	author={Shi, Shangcheng and Wang, Xianbo and Lau, Wing Cheong},
	booktitle={Proceedings of the 2019 ACM Asia Conference on Computer and Communications Security},
	pages={269--282},
	year={2019},
	url={http://mobitec.ie.cuhk.edu.hk/sso/MoSSOT.pdf}
}

@online{oauth2-redirector,
	title="oauth2-redirector",
howpublished="\url{https://github.com/tam7t/oauth2-redirector}"
}

@online{oauthvulnscanner,
	title="OAuth - Vuln Scanner",
	howpublished="\url{https://gitlab.com/projet-2a/OAuth_vulnerabilities_scanner}"
}

@online{oauth2clienttester,
	title="OAuth2-client-tester",
	howpublished="\url{https://github.com/tcannonfodder/oauth2-client-tester}"
}

@online{linkedin,
	title="Linkedin Oauth tester",
	howpublished="\url{https://github.com/evertrue/linkedin_oauth_tester}"		
}

@inproceedings{zuo2017authscope,
	title={Authscope: Towards automatic discovery of vulnerable authorizations in online services},
	author={Zuo, Chaoshun and Zhao, Qingchuan and Lin, Zhiqiang},
	booktitle={Proceedings of the 2017 ACM SIGSAC Conference on Computer and Communications Security},
	pages={799--813},
	year={2017},
	url={https://acmccs.github.io/papers/p799-zuoA.pdf}	
}

@inproceedings{bai2013authscan,
	title={AUTHSCAN: Automatic Extraction of Web Authentication Protocols from Implementations.},
	author={Bai, Guangdong and Lei, Jike and Meng, Guozhu and Venkatraman, Sai Sathyanarayan and Saxena, Prateek and Sun, Jun and Liu, Yang and Dong, Jin Song},
	booktitle={NDSS},
	year={2013},
	url={https://impillar.github.io/files/ndss2013authscan.pdf}
}

@inproceedings{siriporn2019overscan,
	title={OVERSCAN: OAuth 2.0 Scanner for Missing Parameters},
	author={Siriporn, Kasidit},
	booktitle={Network and System Security: 13th International Conference, NSS 2019, Sapporo, Japan, December 15--18, 2019, Proceedings},
	pages={221},
	organization={Springer Nature},
	url={https://gitlab.com/karin_lab/oauth-scanner-18}
}

@online{oauthguard,
	title="OAuthGuard",
	howpublished="\url{https://github.com/oauthguard/OAuthGuard}"
}

@online{professos,
	title="PrOfESSOS",
	howpublished="\url{https://github.com/RUB-NDS/PrOfESSOS}"
}

@online{wpse,
	title="WPSE",
	howpublished="\url{https://sites.google.com/site/wpseproject/}"
}

@online{ssoscan,
	title="SSOScan",
	howpublished="\url{http://ssoscan.org/}"
}


@article{best_current_practice,
	author = {T. Lodderstedt,John Bradley,Andrey Labunets,Daniel Fett},
	title = {OAuth 2.0 Security Best Current Practice draft-ietf-oauth-security-topics-13},
	journal = {Web Authorization Protocol},
	year = {2019},
	url= {https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13}
}

@conference{helsinki_owasp,
	author = {Teemu Kääriäinen, CSSLP / Nixu
	Corporation},
	title = {Threats and Vulnerabilities in Federation Protocols
	and Products},
	booktitle = {OWASP Helsinki Chapter Meeting \#30 October 11, 2016},
	year = {2016},
	url = {https://www.owasp.org/images/9/99/Helsinki_meeting_30_-_Threats_and_Vulnerabilities_in_Federation_Protocols_and_Products.pdf}
}


@online{owasp,
	title = "OWASP foundation - web application security ",
	howpublished = "\url{https://owasp.org/}"
}

@online{rfc7522rfcsaml2,
	title = "Security Assertion Markup Language (SAML) 2.0 Profile
	for OAuth 2.0 Client Authentication and Authorization Grants",
	author = "B. Campbell - Ping Identity,  C. Mortimore - Salesforce, M. Jones - Microsoft",
	year = "may 2015"
	howpublished = "\url{https://tools.ietf.org/html/rfc7522}"
}

@online{oauthcurrentpractice13,
	title = "OAuth 2.0 Security Best Current Practice
	draft-ietf-oauth-security-topics-13",
	author= "T. Lodderstedt - yes.com, J. Bradley - Yubico, A. Labunets - Facebook, D. Fett - Facebook",
	year = "July 8, 2019",
	howpublished="\url{https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13}"
}

@online{oauthcurrentpractice14,
	title = "OAuth 2.0 Security Best Current Practice
	draft-ietf-oauth-security-topics-14",
	author= "T. Lodderstedt - yes.com, J. Bradley - Yubico, A. Labunets - Facebook, D. Fett - Facebook",
	year = "February 10, 2020",
	howpublished="\url{https://tools.ietf.org/html/draft-ietf-oauth-security-topics-14}"
}

@online{owasptop10,
	title = "OWASP Top 10",
	howpublished = "\url{https://owasp.org/www-project-top-ten/}"
}

@online{owaspzap,
	title = "OWASP Zed Proxy Attack (ZAP)",
	howpublished = "\url{https://owasp.org/www-project-zap/}"
}

@online{selenium,
	title = "Selenium - selenium automates browsers",
	howpublished = "\url{https://www.selenium.dev/}"
}